Package org.springframework.jdbc.datasource.embedded

# Class OutputStreamFactory

java.lang.Object
org.springframework.jdbc.datasource.embedded.OutputStreamFactory

public final class OutputStreamFactory extends Object
Internal helper for exposing dummy OutputStreams to embedded databases such as Derby, preventing the creation of a log file.

Since:
  3.0
Author:
  Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`static OutputStream`
`getNoopOutputStream()`
Returns an `OutputStream` that ignores all data given to it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getNoopOutputStream

public static OutputStream getNoopOutputStream()
Returns an `OutputStream` that ignores all data given to it.